Opened 6 years ago

Closed 6 years ago

#7321 closed enhancement (fixed)

kf5-apps need updated to 15.12.1

Reported by: Fernando de Oliveira Owned by: bdubbs@…
Priority: normal Milestone: 7.9
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

Change History (9)

comment:1 by bdubbs@…, 6 years ago

This is a problem with upstream. They use the same names, but most newer versions do not build on a KDE4 system. The packages in Chapter 33, KDE Frameworks 5 Based Applications do need to be updated, but the other 15.12 versions are not appropriate for what we have for KDE4.

Personally I wish they would use names like konsole5 instead of konsole for the kf5 only versions.

I'll note that I have both versions of konsole on my system. They both run fine, but the only difference I can see is when I run Help->About Konsole or run ldd against the binaries to see what libraries are used.

Occasionally I have found packages that build in both kde4 and kf5 environments, but I do not think it is worth the effort to check every package, especially since we plan on dropping kde4 after the next BLFS stable release.

comment:2 by Fernando de Oliveira, 6 years ago

Resolution: fixed
Status: newclosed

OK. Better to close this ticket, don't you think?

comment:3 by Fernando de Oliveira, 6 years ago

Resolution: fixed
Status: closedreopened

Didn't want to close myself. Was looking at which would be the best choice for closing.

Reopening. Please, close it.

comment:4 by bdubbs@…, 6 years ago

Summary: For the "New" KDE kf5 and kf5-appsKF5 Based Apps need updated to 15.12.0

Leaving open, but renaming.

comment:5 by bdubbs@…, 6 years ago

Owner: changed from blfs-book@… to bdubbs@…
Status: reopenednew

comment:6 by bdubbs@…, 6 years ago

Status: newassigned

comment:7 by bdubbs@…, 6 years ago

Summary: KF5 Based Apps need updated to 15.12.0kf5-apps need updated to 15.12.0

Fix title to align with currency scripts

comment:8 by bdubbs@…, 6 years ago

Summary: kf5-apps need updated to 15.12.0kf5-apps need updated to 15.12.1

Now at version 15.12.1.

comment:9 by bdubbs@…, 6 years ago

Resolution: fixed
Status: assignedclosed

Fixed at revision 16806.

Note: See TracTickets for help on using tickets.